Certificate update – please update old BOINC clients

Due to Google removing trust for Symantec certificates, we need to update our SSL certificate. This will happen on Monday (Apr 16). The new certificate will ensure compatibility with new webbrowsers, but BOINC clients older than v7.4 may no longer be able to connect. If at all possible, please update your BOINC client. If you are deliberately using an older BOINC client, please ensure that the “ca-bundle.crt” file is updated (instructions will be issued).

Behind the scenes we are trying to get a certificate that works with older clients as well as new browsers, but currently that doesn’t seem to work out.

Update: Changed date to Monday April 16th 2018. Google will update Chrome on Tuesday April 17th.